/******************************************************************************
*
* project name:    Kalaha
* file name:       main-h21.h
* initial date:    17.10.2004
* author:          mhubi@freesurf.ch
* description:     header-file for all graphical-things
* last changes:		 4.11.2004 15:00
*
*******************************************************************************
*
* Kalaha -- an board-game with alpha-beta-pruning-ai
* Copyright (C) 2004  Martin Huber
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
******************************************************************************/


//define if compiling with "kalaha"-logo, else with ai-messages
#define GRAPHICAL_VERSION

//sprites

//sprite of the game-stone
unsigned char stone[] = {0x60, 0xC0, 0xC0, 0xC0, 0x60, 0x00};
unsigned char stone_mask[] = {0x9F, 0x3F, 0x3F, 0x3F, 0x9F, 0xFF};

//sprite with to layers for the arrow (1: lightplane; 2: darkplane)
unsigned char arrow1[] = {0x10, 0x38, 0x7C, 0xFE, 0xFE, 0x38, 0x38, 0x38};
unsigned char arrow2[] = {0x00, 0x10, 0x38, 0x7C, 0x10, 0x10, 0x10, 0x00};

//sprite with to layers to delete the arrow (1: lightplane; 2: darkplane)
unsigned char arrow_mask1[] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
unsigned char arrow_mask2[] = {0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01};


//sprite for the inside of the little pot
unsigned char wee_pot[] = {0x7E, 0xDF, 0x6F, 0x23, 0x61, 0xB6, 0x7E, 0x9E, 0x5D, 0x2A, 0xA1, 0xA7, 0x2A, 0x9C, 0xAA, 0x6D, 0x42, 0x55,
													 0x22, 0x51, 0x2B, 0x68, 0x09, 0x10, 0x2A, 0x40, 0x16, 0x51, 0x01, 0x4A, 0x04, 0x00, 0x21, 0x50, 0x00, 0x04,
											 		 0x14, 0x00, 0x22, 0x40, 0x00, 0x0A, 0x10, 0x00, 0x01, 0x24, 0x00, 0x04, 0x10, 0x00, 0x02, 0x40, 0x00, 0x11,
											 		 0x24, 0x00, 0x0A, 0x32, 0x00, 0x01, 0x10, 0x00, 0x94, 0x54, 0x80, 0x0A, 0x22, 0x24, 0xA1, 0x59, 0x12, 0x2D,
											 		 0x24, 0x81, 0x25, 0x5A, 0x48, 0xAB, 0x55, 0x95, 0x5A, 0x5C, 0xD5, 0x2F, 0x56, 0xDD, 0xAA};

//sprite for the inside of the big pot
unsigned char big_pot[] = {0xFF, 0xFF, 0xFF, 0xDB, 0xFD, 0xBB, 0xFD, 0x57, 0xEF, 0xDF, 0xF6, 0xBD, 0xED, 0xBB, 0xEF, 0xBE, 
													 0xFF, 0xBA, 0x73, 0xAA, 0xEF, 0xDE, 0xFF, 0xBB, 0x6B, 0x4A, 0xDB, 0xFE, 0xFB, 0xAD, 0x45, 0xAD, 
													 0x76, 0x7A, 0xD5, 0x9B, 0xAA, 0x76, 0xDA, 0xAD, 0x9A, 0xAD, 0x77, 0x6A, 0xB2, 0x08, 0xAA, 0x9B, 
													 0xEE, 0xAD, 0x49, 0x12, 0x52, 0xAC, 0xD5, 0xAA, 0xA5, 0x50, 0xAA, 0x54, 0x2C, 0x09, 0x46, 0x12, 
													 0xD4, 0xA8, 0xC9, 0x02, 0x11, 0x08, 0x68, 0x8C, 0x8A, 0x05, 0x22, 0x41, 0x24, 0x48, 0x24, 0x91, 
													 0x04, 0x20, 0x09, 0x04, 0x09, 0x00, 0x82, 0x20, 0x40, 0x40, 0x02, 0x12, 0x08, 0x00, 0x00, 0x40, 
													 0x21, 0x00, 0x02, 0x00, 0x10, 0x10, 0x00, 0x04, 0x00, 0x08, 0x00, 0x00};

#ifdef GRAPHICAL_VERSION
//sprite for the "kalaha" inside the field (only in the graphical-version)
unsigned char kalaha[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xF8,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x3F,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xFE,0x00,0xF0,0x07,0x00,0x00,
0x00,0x00,0x00,0x00,0x0F,0x00,0x00,0x00,0x01,0x80,0x00,0x00,0x00,0x00,0x00,0x1E,
0xE0,0x3F,0xC0,0x07,0xE0,0x00,0x00,0x08,0x00,0x00,0xFF,0xC0,0x00,0x70,0x01,0x80,
0x00,0x18,0x00,0x00,0x00,0x0F,0xD9,0xFC,0x00,0x00,0x90,0x00,0x00,0x70,0x00,0x01,
0xE0,0xF8,0x00,0x38,0x00,0xE0,0x01,0xFF,0x80,0x00,0x00,0xF2,0xC7,0xC0,0x00,0x00,
0xF0,0x00,0x03,0xC0,0x00,0x06,0x00,0xF8,0x00,0x3C,0x00,0xF0,0x0F,0xE1,0xF0,0x00,
0x00,0x3F,0xDE,0x00,0x00,0x00,0x7C,0x00,0x07,0x80,0x00,0x00,0x00,0x3C,0x00,0x0F,
0x00,0x7C,0x0C,0x00,0x3C,0x00,0x01,0xD3,0xFC,0x00,0x03,0xFF,0xF0,0x00,0x1E,0x00,
0x00,0x00,0x00,0x1E,0x00,0x07,0x80,0x1E,0x00,0x00,0x0F,0x00,0x01,0xFF,0xF8,0x00,
0x07,0xF6,0xF0,0x00,0x3C,0x00,0x00,0x00,0x00,0x1E,0x00,0x07,0x80,0x1E,0x00,0x00,
0x0F,0x80,0x0E,0xFF,0xE0,0x00,0x3F,0x01,0xE0,0x00,0x3C,0x00,0x00,0x00,0x0F,0xFE,
0x00,0x07,0x80,0x12,0x00,0x00,0x07,0xC0,0x07,0xFD,0xC0,0x00,0xFC,0x07,0x80,0x00,
0x78,0x00,0x00,0x00,0x3F,0xFF,0x80,0x07,0x60,0x1F,0x00,0x07,0xFF,0x40,0x09,0xFF,
0xE0,0x07,0xB0,0x1F,0x00,0x01,0xF8,0x00,0x00,0x07,0xFC,0x07,0x80,0x07,0xE1,0xFD,
0x00,0x65,0x83,0xF0,0x0F,0xFF,0xF8,0x07,0xF0,0x79,0x00,0x01,0xE0,0x00,0x00,0x07,
0xE0,0x07,0x80,0x07,0xFF,0xFF,0x00,0x7C,0x03,0xB0,0x0F,0xF3,0xD8,0x07,0xF0,0x7F,
0x00,0x01,0xE0,0x00,0x00,0x07,0xC0,0x07,0x80,0x07,0x68,0x1E,0x01,0xC0,0x00,0xF0,
0x16,0xF1,0xF8,0x04,0xF0,0x79,0x00,0x03,0xE0,0x00,0x00,0x07,0xC0,0x07,0x80,0x07,
0x60,0x0E,0x0F,0x80,0x00,0xC0,0x1F,0xF0,0xF8,0x07,0xF8,0x1F,0x00,0x03,0xE0,0x00,
0x00,0x07,0xC0,0x06,0x00,0x0F,0x80,0x12,0x03,0x80,0x03,0xF0,0x1F,0xFC,0x3C,0x07,
0xFF,0x1F,0x80,0x01,0xE0,0x00,0x00,0x07,0xFF,0xFC,0x00,0x0F,0x80,0x1E,0x03,0x80,
0x03,0x80,0x09,0x3C,0x1F,0x80,0xFF,0xF7,0x80,0x01,0xE0,0x00,0x00,0x01,0xFF,0xF8,
0x00,0x3F,0x00,0x1C,0x03,0x80,0x03,0xC0,0x07,0xFE,0x07,0xC0,0x30,0x01,0x80,0x01,
0xE0,0x00,0x00,0x00,0xFF,0xF8,0x00,0x7C,0x00,0x7C,0x03,0x80,0x03,0x80,0x07,0xF2,
0x02,0x78,0x00,0x00,0x60,0x00,0x78,0x00,0x00,0x00,0x0F,0xE0,0x00,0x70,0x00,0xF0,
0x01,0xE0,0x07,0x00,0x00,0xFF,0xC0,0x7F,0x80,0x00,0x00,0x00,0x78,0x00,0x00,0x00,
0x01,0xC0,0x03,0xF0,0x01,0xE0,0x00,0x7F,0xFC,0x00,0x00,0x1F,0xE0,0x00,0xC0,0x00,
0x00,0x00,0x3C,0x00,0x06,0x00,0x00,0x00,0x07,0x80,0x07,0x80,0x00,0x1F,0xF8,0x00,
0x00,0x0F,0xF8,0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFE,0x00,0x00,0x00,0x1C,0x00,
0x0F,0x00,0x00,0x01,0xC0,0x00,0x00,0x00,0xFC,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,
0xF0,0x00,0x00,0x00,0x00,0x00,0x08,0x00,0x00,0x02,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x7F,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00
};
#endif

//sprite-variables for the background
//enumeration:
//---------
//- 1 - 2 -
//---------
//- 3 - 4 -
//----------

//free the memory for the parts, which will be created
unsigned char background2_4[960];
unsigned char background3_4[960];
unsigned char background4_4[960];

//sprite for a quarter of the background 
unsigned char background1_4[] = {
0x00,0x11,0x15,0x55,0x48,0x01,0x04,0x40,0x4A,0x80,0x04,0x42,0xA9,0x4A,0x80,0x00,
0x00,0x04,0x34,0xA0,0x00,0xA8,0xBB,0x35,0x54,0x0A,0x85,0x96,0x84,0x40,0x00,0x02,
0xAA,0xEB,0x0B,0x00,0x05,0x4C,0xC9,0x00,0x05,0x54,0xD9,0x0B,0x10,0x00,0x28,0x9D,
0x3D,0xE0,0x80,0x14,0x36,0x37,0xA0,0x02,0x52,0x4C,0xBC,0xC0,0x00,0x04,0x0D,0x86,
0x32,0x50,0x06,0xD3,0x98,0xD4,0x02,0xBB,0xBB,0x65,0x70,0x00,0x01,0xAA,0x59,0x88,
0x20,0x11,0x28,0xE5,0x6A,0x01,0x4F,0x5C,0xDF,0xA8,0x00,0x00,0x34,0xAE,0xB7,0xDC,
0x00,0xC3,0xB7,0xAA,0x00,0x95,0xD7,0x5C,0xD0,0x00,0x00,0x1E,0xD7,0xB5,0x66,0x02,
0x18,0xDA,0xA8,0x80,0xD5,0xDB,0x56,0xA8,0x00,0x00,0x07,0x2A,0xDF,0xB7,0x01,0xAE,
0xDB,0x6A,0x00,0x56,0xEF,0x7E,0xD0,0x00,0x00,0x00,0x25,0x71,0xFF,0xC0,0x55,0xEF,
0xD9,0x40,0x4B,0xFA,0xFB,0x28,0x00,0x00,0x00,0x16,0xEE,0xBD,0x60,0x2A,0x9B,0x6D,
0x90,0x02,0xAF,0xEF,0xD0,0x00,0x00,0x00,0x33,0x7F,0xED,0x30,0x2D,0x6A,0xEF,0xD0,
0x18,0xB6,0xB5,0x58,0x00,0x00,0x00,0x0B,0xAA,0x6F,0xD0,0x06,0xBF,0x7D,0xD8,0x0F,
0xDB,0x5D,0x40,0x00,0x00,0x00,0x02,0xFF,0xB7,0x6C,0x03,0x7F,0xB7,0x6C,0x2A,0x6D,
0x56,0x58,0x00,0x00,0x00,0x01,0x2A,0xDD,0xB2,0x01,0xA4,0xA4,0x90,0x0D,0x95,0xAB,
0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x88,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xED,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x16,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xEB,0x6C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x2D,0x67,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xD4,0xBB,0xA0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x72,0xC4,0x5C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x5B,0xFF,0xEF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};


//=============================================================================
// file history
//=============================================================================
//
//	17.10.2004	pasted all the graphic-stuff from the main-h-file into here
//   4.11.2004	added "kalaha"-sprite and ifdef + define
